import { Observable } from 'rxjs';
import { HttpClient, HttpHeaders, HttpResponse } from '@angular/common/http';
import { ApiEvent, Event } from '../models';
import { VitamSelectQuery } from '../models/vitam/vitam-select-query.interface';
import { PaginatedApi } from '../paginated-api.interface';
import { PageRequest, PaginatedResponse } from '../vitamui-table';
export declare class LogbookApiService implements PaginatedApi<Event> {
    private http;
    private readonly apiUrl;
    private readonly baseUrl;
    constructor(http: HttpClient, baseUrl: string);
    static toEvent(apiEvent: ApiEvent): Event;
    private static getSubEvents;
    private static getUserIdentifier;
    findUnitLifeCyclesByUnitId(unitId: string, headers?: HttpHeaders): Observable<{
        $hits: any;
        $results: Event[];
    }>;
    findObjectGroupLifeCyclesByUnitId(objectId: string, headers?: HttpHeaders): Observable<{
        $hits: any;
        $results: Event[];
    }>;
    findOperationById(operationId: string, headers?: HttpHeaders): Observable<{
        $results: any[];
    }>;
    findOperations(obId: string, obIdReq: string, headers?: HttpHeaders): Observable<{
        $results: Event[];
    }>;
    findOperationByIdAndCollectionName(id: string, resourcePath: string, headers?: HttpHeaders): Observable<{
        $results: Event[];
    }>;
    findOperationsBySelectQuery(selectQuery: VitamSelectQuery, headers?: HttpHeaders): Observable<{
        $results: Event[];
    }>;
    downloadManifest(id: string, headers?: HttpHeaders): Observable<HttpResponse<Blob>>;
    downloadAtr(id: string, headers?: HttpHeaders): Observable<HttpResponse<Blob>>;
    getAllPaginated(pageRequest: PageRequest, _?: string, headers?: HttpHeaders): Observable<PaginatedResponse<Event>>;
}
